import { Form, Input, Button } from 'antd';
import { UserOutlined, LockOutlined } from '@ant-design/icons';
import 'antd/dist/antd.css';
import LoginLayout from '../../layouts/loginLayout';

function Login() {
    const onFinish = (values: any) => {
        console.log('Values of the login form: ', values);
    };

    const onFinishFailed = (errorInfo: any) => {
        console.log('Errors: ', errorInfo);
    };

    return (
        <LoginLayout>
            <Form
                name="login"
                onFinish={onFinish}
                onFinishFailed={onFinishFailed}
                autoComplete="off"
            >
                <Form.Item
                    name="email"
                    rules={[{ required: true, message: 'Email musí být zadaný!' }]}
                >
                    <Input
                        prefix={<UserOutlined className="site-form-item-icon" />}
                        placeholder="Email"
                    />
                </Form.Item>

                <Form.Item
                    name="password"
                    rules={[{ required: true, message: 'Heslo musí být zadané!' }]}
                >
                    <Input.Password
                        prefix={<LockOutlined className="site-form-item-icon" />}
                        placeholder="Heslo"
                    />
                </Form.Item>
                <Form.Item>
                    <Button type="primary" htmlType="submit">
                        Přihlásit
                    </Button>
                </Form.Item>
            </Form>
        </LoginLayout>
    );
}

export default Login;
